%define		wifi_version 0.9.12
Summary:	Multiple stacked system monitors in one process.
Name:		gkrellm
Version:	2.2.9
Release:    3
License:	GPL
Group:		Applications/System
URL:		http://www.gkrellm.net/
Source0:	%{name}-%{version}.tar.bz2
Source1:	gkrellmd.init
Source2:	gkrellm-wifi-%{wifi_version}.tar.gz
Source3:	gkrellm.png
Patch0:		gkrellm-2.1.24-libdir.patch
Patch1:		gkrellm-2.1.28-config.patch
Patch2:		gkrellm-wifi-0.9.12-build.patch
Patch3:		gkrellm-2.2.4-sansfont.patch
Patch4:		gkrellm-2.2.7-width.patch
Patch5:		gkrellm-2.2.9-libdir.patch
Conflicts:	kernel < 2.6.2
BuildRequires:	gtk2-devel, gettext, ImageMagick, openssl-devel, libSM-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%define desktop_file_utils_version 0.3-9
BuildPrereq: 	desktop-file-utils >= %{desktop_file_utils_version}
Obsoletes:	gkrellm-server

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.

%package daemon
Summary: 	The GNU Krell Monitors Server
Group: 		System Environment/Daemons
Requires:   /sbin/chkconfig

%description daemon
gkrellmd listens for connections from gkrellm clients. When a gkrellm
client connects to a gkrellmd server all builtin monitors collect their
data from the server.

%package 	devel
Summary: 	Development files for the GNU Krell Monitors
Group: 		Development/System
Requires: 	%{name} = %{version}-%{release}, gtk2-devel

%description devel
Development files for the GNU Krell Monitors.

%ifnarch s390 s390x
%package 	wireless
Summary: 	wireless monitor for the GNU Krell Monitors
Group: 		Applications/System
URL:		http://brix.gimp.org/files/gkrellm-wifi/
Requires: 	%{name} = %{version}-%{release}

%description wireless
This plug-in monitors the wireless LAN cards in your computer and
displays a graph of the link quality percentage for each card.
%endif

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%ifnarch s390 s390x
tar xzf %{SOURCE2}
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p1

for i in gkrellmd.1 gkrellm.1 README Changelog Changelog-plugins.html; do
   sed -i -e "s@/usr/lib/gkrellm2/plugins@%{_libdir}/gkrellm2/plugins@" $i
   sed -i -e "s@/usr/lib/gkrellm/plugins@%{_libdir}/gkrellm2/plugins@" $i
done
for i in gkrellmd.1 gkrellm.1 README Changelog Changelog-plugins.html; do
   sed -i -e "s@/usr/local/lib/gkrellm2/plugins@/usr/local/%{_lib}/gkrellm2/plugins@" $i
   sed -i -e "s@/usr/local/lib/gkrellm/plugins@/usr/local/%{_lib}/gkrellm2/plugins@" $i
done

%build
make CFLAGS="$RPM_OPT_FLAGS" \
     INSTALLROOT=%{_prefix} \
     PKGCONFIGDIR=%{_libdir}/pkgconfig \
     INCLUDEDIR=%{_includedir}
%ifnarch s390 s390x
(cd gkrellm-wifi-%{wifi_version}; make )
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gkrellm2/themes
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins

make install \
	LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale \
	INSTALLDIR=$RPM_BUILD_ROOT%{_bindir} \
	SINSTALLDIR=$RPM_BUILD_ROOT%{_sbindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	PKGCONFIGDIR=$RPM_BUILD_ROOT%{_libdir}/pkgconfig \
	INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir}
%ifnarch s390 s390x
install gkrellm-wifi-%{wifi_version}/gkrellm-wifi.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
%endif

install -D -p -m 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/gkrellm.png

cat > $RPM_BUILD_ROOT/usr/share/applications/gkrellm.desktop <<EOF
[Desktop Entry]
Name=GKrellM System Monitor
Type=Application
Comment=Monitor for CPU, memory, disks, network, mail
Exec=gkrellm
Icon=gkrellm.png
Encoding=UTF-8
EOF
desktop-file-install --vendor gnome --delete-original \
        --dir $RPM_BUILD_ROOT/usr/share/applications \
        --add-category "Application;System;Monitor;X-Red-Hat-Extra" \
        $RPM_BUILD_ROOT/usr/share/applications/gkrellm.desktop
cp -f %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/gkrellmd
cp -f server/gkrellmd.conf $RPM_BUILD_ROOT/etc/gkrellmd.conf
%find_lang %name

%pre daemon
# the daemon shouldn't run as nobody
/usr/sbin/groupadd gkrellmd 2>/dev/null ||:
/usr/sbin/useradd -s /sbin/nologin -M -d / -c "GNU Krell daemon" -r -g gkrellmd gkrellmd 2>/dev/null ||:

%post daemon
chkconfig --add gkrellmd

%preun daemon
if [ "$1" = "0" ]; then
	/sbin/service gkrellmd stop > /dev/null 2>&1 ||:
	/sbin/chkconfig --del gkrellmd
fi
%postun daemon
if [ "$1" = "0" ]; then
	/usr/sbin/userdel gkrellmd 2>/dev/null ||:
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYRIGHT Changelog README Themes.html
%{_bindir}/gkrellm
%{_mandir}/man1/gkrellm.1*
/usr/share/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/gkrellm2
%dir %{_libdir}/gkrellm2/
%dir %{_libdir}/gkrellm2/plugins/

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gkrellm2
%{_includedir}/gkrellm2/*
%{_libdir}/pkgconfig/gkrellm.pc

%files daemon
%defattr(-,root,root)
%attr(0755,root,root) /etc/rc.d/init.d/gkrellmd
%{_sbindir}/gkrellmd
%{_mandir}/man1/gkrellmd.*
%config(noreplace) /etc/gkrellmd.conf

%ifnarch s390 s390x
%files wireless
%attr(0755,root,root) %{_libdir}/gkrellm2/plugins/gkrellm-wifi.so
%endif

%changelog
* Mon May 22 2006 Karsten Hopp <karsten@redhat.de> 2.2.9-3
- fix libdir patch

* Mon May 15 2006 Karsten Hopp <karsten@redhat.de> 2.2.9-2
- fix header file conflict between 32bit and 64bit archs

* Mon Apr 03 2006 Karsten Hopp <karsten@redhat.de> 2.2.9-1
- update to 2.2.9
- remove explicit UID/GUIs from useradd/groupadd (#186974)  

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 2.2.7-7
- BuildRequires: libSM-devel

* Wed Feb 15 2006 Karsten Hopp <karsten@redhat.de> 2.2.7-6
- fix chkconfig requires

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.2.7-5.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.2.7-5.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 18 2005 Bill Nottingham <notting@redhat.com> 2.2.7-5
- Fix references to obsolete /usr/X11R6 path

* Wed Nov  9 2005 Tomas Mraz <tmraz@redhat.com> 2.2.7-4
- rebuilt with new openssl

* Thu Sep 06 2005 Karsten Hopp <karsten@redhat.de> 2.2.7-3
- fix path to gkrellm2 plugins on 64bit archs (#164066)

* Thu Aug 18 2005 Florian La Roche <laroche@redhat.com>
- the the kernel dep form a Requires: into a Conflicts:

* Thu Jun 09 2005 Karsten Hopp <karsten@redhat.de> 2.2.7-1
- update to 2.2.7
- add Requires: /sbin/chkconfig for -daemon subpackage
- allow gkrellm width up to 1600 pixel
- change spec file to valid UTF-8 (#159578)

* Tue May 17 2005 Karsten Hopp <karsten@redhat.de> 2.2.4-5
- use Sans fonts (Ville Skytta, #157899)

* Fri Apr 01 2005 Karsten Hopp <karsten@redhat.de> 2.2.4-4
- Include gkrellm2/plugins directories (Michael Schwendt)
  #153073

* Wed Mar 02 2005 Karsten Hopp <karsten@redhat.de> 2.2.4-3
- build with gcc-4

* Thu Feb 03 2005 Karsten Hopp <karsten@redhat.de> 2.2.4-2 
- BuildRequires openssl-devel (#137548)

* Tue Nov 16 2004 Karsten Hopp <karsten@redhat.de> 2.2.4-1 
- update

* Mon Sep 06 2004 Karsten Hopp <karsten@redhat.de> 2.2.2-2
- change group of wireless subpackage (#131699)
- add icon

* Tue Aug 03 2004 Karsten Hopp <karsten@redhat.de> 2.2.2-1
- update to 2.2.2 to fix pixbuf memory leak

* Wed Jun 23 2004 Karsten Hopp <karsten@redhat.de> 2.2.1-1
- update to latest stable release

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 31 2004 Warren Togami <wtogami@redhat.com> 2.2.0-1
- upgrade to 2.2.0
- #123846 bogus dep
- Cleanup deps, build deps, and docs

* Mon Mar 15 2004 Karsten Hopp <karsten@redhat.de> 2.1.28-3 
- remove Provides: gkrellm-devel from main package (#117105)

* Thu Mar 11 2004 Karsten Hopp <karsten@redhat.de> 2.1.28-2 
- don't run gkrellmd as nobody, use a unique UID (#116314)
- fix chkconfig at package removal

* Wed Mar 10 2004 Karsten Hopp <karsten@redhat.de> 2.1.28-1 
- update
- add runlevel links with chkconfig (#107481)
- use slightly patched config file from the tarball for gkrellmd
- add wireless plugin

* Wed Mar 03 2004 Karsten Hopp <karsten@redhat.de> 2.1.26-2
- fix -devel provision (#117105)
- remove stringfreeze hack

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 25 2004 Karsten Hopp <karsten@redhat.de> 2.1.26-1
- update to 2.1.26, which fixes sensor data being 10x to high (#115850)
- requires kernel >= 2.6.2

* Sat Feb 21 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- mv /etc/init.d -> /etc/rc.d/init.d

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 09 2004 Karsten Hopp <karsten@redhat.de> 2.1.24-1
- update to 2.1.24

* Mon Oct 13 2003 Karsten Hopp <karsten@redhat.de> 2.1.21-1
- update:
- fix temperature reads from /proc/acpi
- Use username instead of userid in session management userid property.
  Fixes no session restarts in KDE 3.1.4.
- de.po update

* Thu Oct 09 2003 Karsten Hopp <karsten@redhat.de> 2.1.20-3
- make it compatible with 3d party packages

* Thu Oct 09 2003 Karsten Hopp <karsten@redhat.de> 2.1.20-2
- added patches from Ville Skyttä <ville.skytta at iki.fi>:
  - Add icon for desktop entry
  - Install daemon in %%{_sbindir}
  - Include themes and plugins dirs in main package
  - Make -daemon obsolete -server
  - devel subpackage (disabled because of string freeze)


* Wed Oct 08 2003 Karsten Hopp <karsten@redhat.de> 2.1.20-1
- update to make it work with kernel 2.6

* Wed Oct 01 2003 Karsten Hopp <karsten@redhat.de> 2.1.19-1
- Update to 2.1.19, includes fix for #106073

* Tue Jul 08 2003 Karsten Hopp <karsten@redhat.de> 2.1.14-3
- run as user nobody
- fix file ownership

* Mon Jul 07 2003 Karsten Hopp <karsten@redhat.de> 2.1.14-2
- add init script and config file for gkrellmd
- daemon subpackage
- fix pkgconfig file

* Thu Jun 26 2003 Karsten Hopp <karsten@redhat.de> 2.1.14-1
- update to fix buffer overflow in gkrellmd_client_read

* Wed Jun 18 2003 Karsten Hopp <karsten@redhat.de> 2.1.13-1
- update

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 05 2003 Karsten Hopp <karsten@redhat.de> 2.1.9-2
- rebuild

* Thu Apr 10 2003 Karsten Hopp <karsten@redhat.de> 2.1.9-1
- update to 2.1.9
- daily/weekly/monthly transfer stats

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 14 2003 Karsten Hopp <karsten@redhat.de> 2.1.5-2
- rename menu entry (#81876)

* Sun Jan 12 2003 Karsten Hopp <karsten@redhat.de> 2.1.5-1
- update (#81620)

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 2.1.3-2
- rebuild

* Wed Dec 11 2002 Karsten Hopp <karsten@redhat.de>
- 2.1.3-1
- Battery monitor can display multiple batteries
- Net timer lost the minutes display with large connect times
- use disk stats from /proc/partitions if available

* Tue Dec 03 2002 Karsten Hopp <karsten@redhat.de> 2.1.2-1
- updated translations
- .desktop file (#78562)
- minor bugfixes

* Mon Nov 11 2002 Karsten Hopp <karsten@redhat.de>
- update to 2.1 (glib2, gtk2)

* Wed Jul 17 2002 Karsten Hopp <karsten@redhat.de>
- update
- own /usr/include/gkrellm directory

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 11 2002 Karsten Hopp <karsten@redhat.de>
- Update to 1.2.11

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Karsten Hopp <karsten@redhat.de>
- Update to 1.2.9

* Wed Jan 23 2002 Karsten Hopp <karsten@redhat.de>
- Update to 1.2.6

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Dec 13 2001 Karsten Hopp <karsten@redhat.de>
- update to 1.2.5-1
- nls patch not required anymore

* Mon Nov 26 2001 Karsten Hopp <karsten@redhat.de>
- enable nls

* Mon Nov 26 2001 Karsten Hopp <karsten@redhat.de>
- update to 1.2.4

* Fri Jul  6 2001 Trond Eivind Glomsrød <teg@redhat.com>
- s/Copyright/License/
- Add %%defattr
- langify
- Don't define name, ver and rel at the top of the spec file

* Wed Jun 27 2001 Karsten Hopp <karsten@redhat.de>
- fix _mandir
- fix BuildRequires

* Wed Jun 27 2001 SATO Satoru <ssato@redhat.com>
- clean up (use system-defined macros)
- enable NLS

* Wed Mar 14 2001 Rob Lineweaver <rbline@wm.edu>
- fixed new manpage inclusion for newer RPM versions
- source is 1.0.7
- compiled for PPC and i386

* Fri Jan 19 2001 Kevin Ford <klford@uitsg.com>
- general cleanup of spec file

* Thu Jan 18 2001 Kevin Ford <klford@uitsg.com>
- Updated spec file to work with both v3 & v4 rpm
- moved changelog to bottom of spec file
- added defines for common items

* Thu Apr 6 2000 Bill Wilson
- added INCLUDEDIR to the make install

* Fri Oct 29 1999 Gary Thomas <gdt@linuxppc.org>
- .spec file still broken

* Thu Oct 7 1999 David Mihm <davemann@ionet.net>
- fixed spec.

